This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 472596 - 2nd screen doesn't get locked if anything is running on it
2nd screen doesn't get locked if anything is running on it
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
10
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 17:07 EST by Jarod Wilson
Modified: 2015-01-14 18:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:54:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2008-11-21 17:07:39 EST
Description of problem:
The 2nd display on a dual-head ppc64 box doesn't get locked when gnome-screensaver kicks in if an application is running on it (okay, only know it happens for sure w/firefox). The 2nd display goes black for a moment, then lights back up w/the browser showing. Wiggling the mouse brings up the unlock dialog on the 1st display, while the browser continues to show. Didn't try clicking in the browser, but I can definitely scroll the browser window up and down while things are supposedly locked.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.24.0-2.fc10.ppc

How reproducible:
Full-screen firefox on the 2nd display, lock the screen.

Additional info:
Radeon x1650 Pro graphics in a YDL PowerStation, if it matters...
Comment 1 Bug Zapper 2008-11-26 00:45:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Alastair Neil 2008-11-26 10:37:08 EST
Also on x86_64 with nv driver.  FYI this was not the case under rawhide i386 with the propriety nvidia driver.
Comment 3 David L. Parsley 2008-12-08 12:59:42 EST
I'm also seeing this on x86_64 with this video card:
01:00.0 VGA compatible controller: ATI Technologies Inc RV516 [Radeon X1300/X1550 Series]
01:00.1 Display controller: ATI Technologies Inc RV516 [Radeon X1300 Pro] (Secondary)
This is from a recent Dell Optiplex 745, using the radeonhd driver.

If I have an application on the right-side window, such as thunderbird, it's still completely usable (thus screen locking isn't very effective).  As a workaround, I can lock the screen with no application on the right side, and I'll just get what seems to be a useless blank desktop (you can still see my wallpaper, though).  Note: I just tested, and the desktop right-and-left hotkeys don't work when locked.
Comment 4 David L. Parsley 2008-12-09 08:05:02 EST
Note that somewhere in the course of getting my F10 machine up and running, something must have 'fixed' this issue - I can't get it to repeat now.
Comment 5 jmccann 2009-02-18 00:24:05 EST
Please try:
http://koji.fedoraproject.org/koji/buildinfo?buildID=82682
Comment 6 Bug Zapper 2009-11-18 02:59:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:54:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.